发布时间 :2006-02-18 19:02:00
修订时间 :2011-03-07 21:30:48

[原文]Multiple SQL injection vulnerabilities in XMB Forums 1.9.3 and earlier allow remote attackers to execute arbitrary SQL commands via the (1) $u2u_select array parameter to and (2) $val variable (fidpw0 cookie value) in today.php.

[CNNVD]XMB Forum多个SQL注入漏洞(CNNVD-200602-272)

        XMB Forums 1.9.3及之前版本中存在多个SQL注入漏洞。远程攻击者可以借助(1)指向的$u2u_select数组参数和(2)today.php中的$val变量(fidpw0 cookie值)执行任意SQL命令。

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)


- OVAL (用于检测的技术细节)


- 官方数据库链接
(官方数据源) MITRE
(官方数据源) NVD
(官方数据源) CNNVD

- 其它链接及资源
(UNKNOWN)  VUPEN  ADV-2006-0529
(VENDOR_ADVISORY)  BUGTRAQ  20060212 XMB Forums Multiple Vulnerabilities
(UNKNOWN)  XF  xmbforum-multiple-sql-injection(24646)
(UNKNOWN)  BID  16604

- 漏洞信息

XMB Forum多个SQL注入漏洞
高危 SQL注入
2006-02-18 00:00:00 2006-02-23 00:00:00
        XMB Forums 1.9.3及之前版本中存在多个SQL注入漏洞。远程攻击者可以借助(1)指向的$u2u_select数组参数和(2)today.php中的$val变量(fidpw0 cookie值)执行任意SQL命令。

- 公告与补丁


- 漏洞信息

XMB Forums today.php Cookie Data SQL Injection
Remote / Network Access Information Disclosure, Input Manipulation
Loss of Confidentiality, Loss of Integrity
Exploit Public

- 漏洞描述

XMB Forums contains a flaw that may allow an attacker to carry out an SQL injection attack. The issue is due to the 'today.php' script not properly sanitizing user-supplied input to the cookies. This may allow an attacker to inject or manipulate SQL queries in the back-end database.

- 时间线

2006-02-12 Unknow
2006-02-12 Unknow

- 解决方案

Upgrade to version 1.9.8 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

- 漏洞信息

XMB Forum Multiple Input Validation Vulnerabilities
Input Validation Error 16604
Yes No
2006-02-13 12:00:00 2008-09-10 09:20:00
James Bercegay of the GulfTech Security Research Team is credited with the discovery of these vulnerabilities.

- 受影响的程序版本

XMB Forum 1.9.3
XMB Forum 1.9.2
XMB Forum 1.9.1
XMB Forum 1.9 beta
XMB Forum 1.9
XMB Forum 1.8 SP3
XMB Forum 1.8 SP2
XMB Forum 1.8 SP1
XMB Forum 1.8
XMB Forum 1.9.8

- 不受影响的程序版本

XMB Forum 1.9.8

- 漏洞讨论

XMB Forum is prone to multiple input-validation vulnerabilities, including cross-site scripting and SQL-injection issues, because the application fails to properly sanitize user-supplied input.

Successful exploits of these vulnerabilities could allow an attacker to compromise the application, access or modify data, steal cookie-based authentication credentials, or exploit vulnerabilities in the underlying database. Other attacks are also possible.

- 漏洞利用

An exploit is not required.

The following proof-of-concept URI is available for the cross-site scripting issue:

- 解决方案

A vendor update is available. Contact the vendor for more information.

- 相关参考